#
###
# Application: Pycadia
# File:        gd_objects.py
# Description: pycadia graphics data
# Copyright (c) 2002-2003   Andy Balcombe <http://www.anti-particle.com>
###
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

"""pycadia graphics data"""

# *******************************
# player 1 ship
# *******************************

# player 1 ship vertex data...
shipPlayer1Verts = [
    ( 0.0, 9.0),
    (-6.0,-9.0),
    (-2.0,-3.5),
    ( 2.0,-3.5),
    ( 6.0,-9.0),
    (-1.0,-6.0),
    ( 1.0,-6.0),
    ( 3.0, 0.0),
    ( 0.0, 2.0),
    (-3.0, 0.0),
    ( 4.0,-3.0)
]


# player 1 ship front line data...
shipPlayer1FrontLines = [
    (0,10),
    (7,8),
    (8,9),
    (9,0),
]

# player 1 ship right line data...
shipPlayer1RightLines = [
    (9,1),
    (1,2),
    (2,5),
    (2,3)
]

# player 1 ship left line data...
shipPlayer1LeftLines = [
    (5,6),
    (6,3),
    (3,4),
    (4,10)
]


# *******************************
# player 2 ship
# *******************************

# player 2 ship vertex data...
shipPlayer2Verts = [
    ( 0.0, 5.5),
    (-3.0, 4.0),
    (-3.0, 0.5),
    ( 0.0,-1.5),
    ( 3.0, 0.5),
    ( 3.0, 4.0),

    (-1.5,-1.0),
    ( 0.0,-6.0),
    ( 1.5,-1.0),
    (-3.5,-2.0),
    (-3.5,-11.0),

    ( 3.5,-2.0),
    ( 3.5,-11.0),

    (-3.5,-6.5),
    (-0.5,-4.5),

    ( 0.5,-4.5),
    ( 3.5,-6.5),

    ( 0.0, 4.5),
    ( 0.0, 3.0),
]

# player 2 ship front line data...
shipPlayer2FrontLines = [
    (0,1),
    (1,2),
    (0,5),
    (5,4),
    (17,18)
]

# player 2 ship right line data...
shipPlayer2RightLines = [
    (2,3),
    (6,7),
    (9,10),
    (13,14)
]

# player 2 ship left line data...
shipPlayer2LeftLines = [
    (3,4),
    (7,8),
    (11,12),
    (15,16)
]


# *******************************
# asteroid
# *******************************

# asteroid vertex data...
asteroidVerts= [
    (-2.5,1),
    (-5,2.5),
    (-5,-1),
    (-3,-3.5),
    (3,-3),
    (5,1),
    (1,4),
    (-2,3.5)
]

# asteroid line data...
asteroidLines = [
    (0,1),
    (1,2),
    (2,3),
    (3,4),
    (4,5),
    (5,6),
    (6,7),
    (7,0)
]

# *******************************
# player 1 ship thrust flame
# *******************************

# player 1 ship "thrust flame" vertex data...
flamePlayer1Verts = [
    (0.0,-6.0),
    (0.5,-6.5),
    (0.0,-8.5),
    (-0.5,-6.5)
]

# player 1 ship "thrust flame" line data...
flamePlayer1Lines= [
    (0,1),
    (1,2),
    (2,3),
    (3,0)
]

# *******************************
# player 2 ship thrust flame
# *******************************

# player 2 ship "thrust flame" vertex data...
flamePlayer2Verts= [
    (0,-6),
    (0.5,-6.5),
    (0,-8.5),
    (-0.5,-6.5)
]

# player 2 ship "thrust flame" line data...
flamePlayer2Lines= [
    (0,1),
    (1,2),
    (2,3),
    (3,0)
]

# *******************************
# sun
# *******************************

# sun vertex data...
sunVerts= [
     (0,1),
     (0,-1),
     (1,0),
     (-1,0),

     (1,1),
     (-1,-1),
     (1,-1),
     (-1,1),

     (5,0),
     (0,5),
      (-5,0),
      (0,-5),

      (4,4),
      (-4,-4),
      (-4,4),
      (4,-4),
]

# sun line data...
sunALines= [
    (2,8),
    (0,9),
    (3,10),
    (1,11)
]
sunBLines= [
    (4,12),
    (5,13),
    (7,14),
    (6,15)
]


# *******************************
# missile
# *******************************

# missile vertex data...
missileVerts= [
    (0,0),
    (0,1)
]

# missile line data...
missileLines= [
    (0,1)
]


# *******************************
# saucer (ufo)
# *******************************

# saucer vertex data...
saucerVerts= [
    (-3,-5.5),
    (3,-5.5),
    (5,-2.5),
    (8.5,0.5),
    (5,4.5),
    (-5,4.5),
    (-8.5,0.5),
    (-5,-2.5)    
]

# saucer line data...
saucerLines= [
    (0,1),
    (1,2),
    (2,3),
    (3,4),
    (4,5),
    (5,6),
    (6,7),
    (7,0),
    (7,2),
    (6,3)
]

# saucer2 vertex data...
saucer2Verts= [
    (-7.5, 1),
    (-5, -1.5),
    (-2.5, -1.5),
    (-2.5, -3.5),
    (2.5, -3.5),
    (2.5, -1.5),
    (5, -1.5),
    (7.5, 1),
    (5, 3.5),
    (-5, 3.5)
]

# saucer2 line data...
saucer2Lines= [
    (0,1),
    (1,2),
    (2,3),
    (3,4),
    (4,5),
    (5,6),
    (6,7),
    (7,8),
    (8,9)
]

# object scales
overallScale = 1.25
shipPlayer1Scale = 0.9
shipPlayer2Scale = 1.0
asteroidScale = 1.0
flamePlayer1Scale = 0.9
flamePlayer2Scale = 0.9
missileScale = 1.5
sunScale = 1.5
saucerScale = 1.2

#initial rect sizes (size of sprite)
shipPlayer1RectSize = 24
shipPlayer2RectSize = 24
asteroidRectSize = 10
flamePlayer1RectSize = 16
flamePlayer2RectSize = 16
missileRectSize = 1
sunRectSize = 16
saucerRectSize = (23*saucerScale, 20*saucerScale)

#complete ships
shipPlayer1Lines = shipPlayer1FrontLines + shipPlayer1RightLines + shipPlayer1LeftLines
shipPlayer2Lines = shipPlayer2FrontLines + shipPlayer2RightLines + shipPlayer2LeftLines

